package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtMapFile;


public interface PtMapFileMapper {

    int insert(PtMapFile record);

    PtMapFile selectByMapId(String mapId);

    int deleteByPrimaryKey(String mapId);

    // int insertSelective(PtChartFile record);

  //  List<PtChartFile> selectByExampleWithRowbounds(PtChartFileCriteria example, RowBounds rowBounds);

  //  List<PtChartFile> selectByExample(PtChartFileCriteria example);

  //  PtChartFile selectByPrimaryKey(String fileId);

   // int updateByPrimaryKeySelective(PtChartFile record);

    int updateByPrimaryKeySelective(PtMapFile record);

   // int deleteByCode(String code);
}
